import {
  IsNotEmpty,
  IsNumberString,
  IsOptional,
  IsString,
} from 'class-validator';

export class LaboratorioMovilDto {
  @IsString()
  @IsNotEmpty()
  @IsOptional()
  carrito?: string;

  @IsNumberString()
  @IsOptional()
  id_institucion?: string;

  @IsNumberString()
  @IsOptional()
  id_marca?: string;

  @IsNumberString()
  @IsOptional()
  id_modelo?: string;

  @IsNumberString()
  @IsOptional()
  id_modulo?: string;

  @IsNumberString()
  @IsOptional()
  id_tipo_carrito?: string;
}
