import { Expose, Type } from 'class-transformer';
import { UsuarioInstitucionCarreraMinOutputDto } from '../../../institucion-usuario/dto/output/usuario-institucion-carrera-min.dto';

export class PrestamoEquipoMinOutputDto {
  @Expose()
  id_prestamo;

  @Expose()
  fecha_entrega;

  @Expose()
  fecha_inicio;

  @Expose()
  hora_fin;

  @Expose()
  hora_inicio;

  @Expose()
  @Type(() => UsuarioInstitucionCarreraMinOutputDto)
  institucionUsuario;
}
